<?php include('casa/setup.casa.php');
$id = DataForms::GET('id');
include('inc_scripts.php');
$title = 'Modificar Usuario';
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT * FROM rol_usuarios us, inventarios_ubicaciones ubi
WHERE us.ubica_codigo = ubi.ubica_codigo
AND us_codigo = '$id';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();			
	$rol_id = $db->dbField('rol_id');	
	$ubica_codigo_usuario = $db->dbField('ubica_codigo');	
	$us_ci = $db->dbField('us_ci');	
	$us_nombres = $db->dbField('us_nombres');	
	$us_apellidos = $db->dbField('us_apellidos');	
	$us_user = $db->dbField('us_user');	
	$us_pass = $db->dbField('us_pass');	
?>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>

		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-4">	
											<div class="form-group form-group-default">
												<label>Ubicaciones:</label>
												<select id="cmbUbicaciones" class="form-control" style="text-align:left">
															<option value="" selected>Listado de Ubicaciones</option>
<?php
$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones;";
$Ubicaciones = new DB();
$Ubicaciones->dbSQL($sqlUbicaciones);
$html = "";
	while($Ubicaciones->next()){
		$ubica_codigo = $Ubicaciones->dbField('ubica_codigo');
		$ubica_nombre = $Ubicaciones->dbField('ubica_nombre');
		
		if($ubica_codigo == $ubica_codigo_usuario){
			$html.='<option value="'.$ubica_codigo.'" selected>'.$ubica_nombre.'</option>';	
		}else{
			$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</option>';
		}														
	}//wend() 

echo utf8_encode($html);
?>															
																														
												</select>
											</div>															
											<div class="form-group form-group-default">
												<label>C.I.:</label>
												<input id='txtCI' value='<?php echo $us_ci ?>' type="text" class="form-control">
											</div>															
											<div class="form-group form-group-default">
												<label>Nombres:</label>
												<input id='txtNombres' value='<?php echo $us_nombres ?>' type="text" class="form-control">
											</div>									
											<div class="form-group form-group-default">
												<label>Apellidos:</label>
												<input id='txtApellidos' value='<?php echo $us_apellidos ?>' type="text" class="form-control">
											</div>	
										</div>
										<div class="col-md-6 col-lg-4">												
											<div class="form-group form-group-default">
												<label>Tipo Usuario:</label>
												<select id='cmbTipoU' class="form-control">
													<option value="">Tipos Usuario</option>
													<?php 
													$i=1;
													$html='';
													while($i<=8){
														switch($i){															
															//Admin
															case 1 : $tipoUs = "Administrador"; break;  															
															//Vendedores
															case 2 : $tipoUs = "Vendedor"; break;  
															//Almacenes
															case 3 : $tipoUs = "Almacenes"; break;  
															//Cajeros
															case 4 : $tipoUs = "Cajeros"; break;  
															//Super vendedor
															case 5 : $tipoUs = "Super-Vendedor"; break;  
															//Super-Almacenes
															case 6 : $tipoUs = "Super-Almacen"; break;  
															//Super-Cajeros
															case 7 : $tipoUs = "Super-Cajero"; break;  	
															//Consultas productos
															case 8 : $tipoUs = "Consultas"; break;  														
														}
														if($rol_id == $i)
															$html.='<option value="'.$i.'" selected>'.$tipoUs.'</option>';
														else
															$html.='<option value="'.$i.'">'.$tipoUs.'</option>';
													$i++;
													}
													echo $html;
													?>
												</select>
											</div>
											<div class="form-group form-group-default">
												<label>Usuario:</label>
												<input id='txtUSER' value='<?php echo $us_user ?>' disabled type="text" class="form-control">
											</div>
											<div class="form-group form-group-default">
												<label>Contraseña:</label>
												<input id='txtPASS' value='<?php echo $us_pass ?>' type="password" class="form-control">
											</div>
										</div>
										
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<a href='<?php echo PATH_HOME.'usuarios/'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button class="btn btn-info" type='submit'><b> GUARDAR DATOS </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$('#txtCI').keyup(function(){
  let ci = $(this).val();
  $('#txtUSER').val(ci);
});
$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'usuarios-upd2/'. md5(uniqid()); ?>',{
	 'codigo': '<?php echo $id; ?>',
	 'cmbUbicaciones': $('#cmbUbicaciones').val(),  
	 'cmbTipoU': $('#cmbTipoU').val(),  	 
	 'txtCI': $('#txtCI').val(),  
	 'txtNombres': $('#txtNombres').val(),  
	 'txtApellidos': $('#txtApellidos').val(),  
	 'txtUSER': $('#txtUSER').val(),  
	 'txtPASS': $('#txtPASS').val(),  	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
</script>